Loading...
Searching...
No Matches
unity::shell::scopes::NavigationInterface Class Reference

Object representing department instance, which exposes model(s) with results. More...

`#include <unity/shell/scopes/NavigationInterface.h>`

Inheritance diagram for unity::shell::scopes::NavigationInterface:
[legend]
Collaboration diagram for unity::shell::scopes::NavigationInterface:
[legend]

## Public Types

enum | Roles { RoleNavigationId , RoleLabel , RoleAllLabel , RoleHasChildren , RoleIsActive }
| The roles supported by this model.

## Properties

QString | navigationId
| Id of the navigation.
QString | label
| Label of the navigation.
QString | allLabel
| Label for "All Button" of the navigation.
QString | parentNavigationId
| Parent Id of the navigation.
QString | parentLabel
| Parent label of the navigation.
bool | loaded
| Is the model of the navigation completely loaded?
bool | isRoot
| Is this deparment the root navigation?
bool | hidden
| Is this a hidden navigation?
int | count
| Number of items of the navigation.

## Detailed Description

Object representing department instance, which exposes model(s) with results.

The documentation for this class was generated from the following file:

- include/unity/shell/scopes/NavigationInterface.h